=== debian/changelog ===
qesteidutil (0.3.1-0ubuntu2) quantal; urgency=low

  * 0001_missing_include.patch:
    + Added new patch from upstream SVN to add missing G++ 4.7 include.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Mon, 30 Apr 2012 17:41:07 +0300

qesteidutil (0.3.1-0ubuntu1) precise; urgency=low

  * Initial release for Ubuntu (LP: #916436).
    Based upon initial packaging by Kalev Lember, with further improvements
    by Guido Tabbernuk, then packaging review by Martin-Éric Racine.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sat, 14 Jan 2012 05:37:09 +0200
