=== debian/control ===
Source: qesteidutil
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Tabbernuk <boamaod@gmail.com>, Martin-Éric Racine <martin-eric.racine@iki.fi>
Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-config,
 libp11-dev, libqt4-dev, libqtwebkit-dev, libsmartcardpp-dev, libssl-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/esteid/

Package: qesteidutil
Architecture: any
Depends: fonts-liberation | ttf-liberation, opensc, ${misc:Depends}, ${shlibs:Depends}
Description: Estonian ID card management utility
 QEsteidUtil is a user-friendly application for managing Estonian ID Cards.
 It can be used to change and unlock PIN codes, examine the personal 
 information stored on the card, extract and view the certificates, set 
 up mobile ID and configure a personal @eesti.ee e-mail address.

Package: qesteidutil-dbg
Architecture: any
Section: debug
Priority: extra
Depends: qesteidutil (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: qesteidutil debugging symbols
 QEsteidUtil is a user-friendly application for managing Estonian ID Cards.
 .
 This package contains debugging symbols for qesteidutil package.
