=== debian/rules ===
#!/usr/bin/make -f
# [debian/rules] for libdigidoc
#
# COPYRIGHT © 2012 Guido Tabbernuk <boamaod@gmail.com>
#
# LICENSE
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_DESTDIR := $(CURDIR)/debian/qesteidutil

binary-install/qesteidutil::
	dh_icons -pqesteidutil

common-binary-post-install-arch common-binary-post-install-indep:: list-missing

#EOF
