=== debian/watch ===
version=3
http://esteid.googlecode.com/files/libdigidoc-([\d\.]+)\.tar\.bz2 \
	debian uupdate --no-symlink
